.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptVariableSet.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptVariableSet:

VisualScriptVariableSet
=======================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Changes a variable's value.

Member Variables
----------------

  .. _class_VisualScriptVariableSet_var_name:

- :ref:`String<class_string>` **var_name** - The variable's name.


Description
-----------

Changes a variable's value to the given input.

**Input Ports:**

- Sequence

- Data (variant): ``set``

**Output Ports:**

- Sequence

